Distributor API
List distributor billing codes
Query Parameters
page?integer
Default
1Range
1 <= valueper_page?integer
Default
10Range
1 <= value <= 100Header Parameters
SW-DISTRIBUTOR-ID*string
SW-API-KEY*string
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/distributors/billing-codes" \ -H "SW-DISTRIBUTOR-ID: string" \ -H "SW-API-KEY: string"{
"success": true,
"data": [
{
"id": 1,
"code": "SW-A",
"price": 2.5
},
{
"id": 2,
"code": "SW-B",
"price": 3
}
],
"pagination": {
"total_count": 40,
"has_next_page": true,
"page": 1,
"per_page": 10
}
}{
"success": false,
"error": "page: Too small: expected number to be >=1"
}{
"success": false,
"error": "Internal server error"
}{
"success": false,
"error": "Internal server error"
}{
"success": false,
"error": "Internal server error"
}